/**
 * 设备管理接口
 */
import request from '@/utils/request'
// import qs from 'qs'

// 分页查询设备列表
export function getDeviceList(params) {
  return request({
    url: '/device/listPage',
    method: 'get',
    params
  })
}

// 设备详情
export function getDetailDevice(id) {
  return request({
    url: '/device/detail/' + id,
    method: 'get',
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
    }
  })
}

// 总览页面获取设备状态
export function overviewDeviceStatus(params) {
  return request({
    url: '/earthview/statisticsDeviceStatus',
    method: 'get',
    params
  })
}

// 总览页面通过地图编号获取设备列表
export function overviewDeviceList(params) {
  return request({
    url: '/earthview/getDevicesByPicture',
    method: 'get',
    params
  })
}

// 获取摄像头分组列表
export function getCameraList(params) {
  return request({
    url: '/device/cameraList',
    method: 'get',
    params
  })
}
